﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="CS.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>AsyncFileUpload Example</title>
    <script type = "text/javascript">
        function uploadComplete(sender) {
            clearContents(sender._element.id);
        }
        function clearContents(id) {
            var AsyncFileUpload = $get(id);
            var txts = AsyncFileUpload.getElementsByTagName("input");
            for (var i = 0; i < txts.length; i++) {
                if (txts[i].type == "text") {
                    txts[i].value = "";
                    txts[i].style.backgroundColor = "white";
                }
            }
        }
</script>

</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:AsyncFileUpload 
            OnClientUploadComplete="uploadComplete" runat="server"
            ID="AsyncFileUpload1" Width="400px" UploaderStyle="Modern"
            CompleteBackColor = "White"
            UploadingBackColor="#CCFFFF"  ThrobberID="imgLoader" 
            OnUploadedComplete = "FileUploadComplete"
        />
        <asp:Image ID="imgLoader" runat="server" ImageUrl = "~/images/loader.gif" /> 
        <br />
       <asp:Label ID="lblMesg" runat="server" Text=""></asp:Label>
    </form>
</body>
</html>
